Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.ui.portlet.catalog
Class CatalogPortlet

    java.lang.Object
      org.jboss.portlet.JBossPortlet
          org.jboss.portal.core.ui.portlet.catalog.CatalogPortlet

All Implemented Interfaces:
  Portlet

    public class CatalogPortlet

extends JBossPortlet

Version:
  $Revision: 8786 $
Author:
  Julien Viet, Thomas Heute

Constructor Summary
`CatalogPortlet()`

Method Summary
`void` | `destroy()` Called by the portlet container to indicate to a portlet that the portlet is being taken out of service.
`void` | `init()`
`void` | `render(JBossRenderRequest req, JBossRenderResponse resp)` Calls `doDispatch(JBossRenderRequest,JBossRenderResponse)`.

Methods inherited from class org.jboss.portlet.JBossPortlet
`doAdmin, doDispatch, doEdit, doHelp, doView, getDefaultOperation, getInitParameter, getInitParameterNames, getOperationName, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, processAction, processAction, processAdmin, processDispatch, processEdit, processHelp, processView, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogPortlet

    public CatalogPortlet()

Method Detail

### init

    public void init()
              throws PortletException

  Overrides:
    `init` in class `JBossPortlet`
  Throws:
    `PortletException`

### destroy

    public void destroy()

  Description copied from interface: `Portlet`
  Called by the portlet container to indicate to a portlet that the portlet is being taken out of service.

  Before the portlet container calls the destroy method, it should allow any threads that are currently processing requests within the portlet object to complete execution. To avoid waiting forever, the portlet container can optionally wait for a predefined time before destroying the portlet object.

  This method enables the portlet to do the following:

  - clean up any resources that it holds (for example, memory, file handles, threads)
  - make sure that any persistent state is synchronized with the portlet current state in memory.

  Specified by:
    `destroy` in interface `Portlet`
  Overrides:
    `destroy` in class `JBossPortlet`

### render

    public void render(JBossRenderRequest req,
                       JBossRenderResponse resp)
                throws java.io.IOException

  Description copied from class: `JBossPortlet`
  Calls `doDispatch(JBossRenderRequest,JBossRenderResponse)`.

  Overrides:
    `render` in class `JBossPortlet`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD